#include <bits/stdc++.h>
using namespace std;


int main()
{
    
    unsigned int a[1001];
    int N;
    unsigned int L;
    cin>>N>>L;
    bool tacno=true;
    int broj=-1;
    for (int i = 0; i < N; i++) {
        cin>>a[i];
        if(a[i]<=L && tacno){
            tacno=false;
            broj=i+1;
        }
    }
    cout<<broj;
}